Bug 1464006 - Remote VNC/SPICE consoles lack logging when the remote endpoint is inaccessible
Summary: Remote VNC/SPICE consoles lack logging when the remote endpoint is inaccessible
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Dávid Halász
QA Contact: Kedar Kulkarni
URL:
Whiteboard: ui:html5:console
Depends On:
Blocks: 1468613 1478436
TreeView+ depends on / blocked
 
Reported: 2017-06-22 09:12 UTC by Dávid Halász
Modified: 2018-03-06 15:06 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1468613 1478436 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:06:22 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Dávid Halász 2017-06-22 09:12:15 UTC
Description of problem:
When a client tries to connect to a WebSocket-based remote console and it fails while the proxy is opening the remote endpoint, the websocket.log doesn't provide any helpful information.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
The websocket.log should provide some information about a failed connection.

Additional info:

Comment 3 CFME Bot 2017-07-04 11:16:53 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/73163cdec8a0085675a9dec64360bb4382a488a8

commit 73163cdec8a0085675a9dec64360bb4382a488a8
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Jun 22 11:03:25 2017 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Jun 26 11:34:41 2017 +0200

    Add additional logging into the websocket proxy for easier debugging
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1464006

 lib/websocket_proxy.rb           | 6 ++++--
 lib/websocket_server.rb          | 2 +-
 spec/lib/websocket_proxy_spec.rb | 3 ++-
 3 files changed, 7 insertions(+), 4 deletions(-)

Comment 6 Kedar Kulkarni 2017-10-10 22:16:41 UTC
Verified using reproduction steps in https://bugzilla.redhat.com/attachment.cgi?id=1326212


Note You need to log in before you can comment on or make changes to this bug.